[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#744865: Add check and warning for unetbootin



Gah, I never followed up on this. Patch v2 with minor wording changes
as suggested by Holger...

It would be nice to get this in before release...

diff --git a/debian/cdrom-detect.postinst b/debian/cdrom-detect.postinst
index 3446a06..6bf2454 100755
--- a/debian/cdrom-detect.postinst
+++ b/debian/cdrom-detect.postinst
@@ -223,6 +223,22 @@ while true; do
 	fi
 done
 
+# Check for unetbootin files
+UNETBOOTIN_FILES="ubnfilel.txt ubninit ubnkern ubnpathl.txt"
+UNETBOOTIN_DETECTED=0
+for file in ${UNETBOOTIN_FILES}; do
+	if [ -f /cdrom/$file ] ; then
+		UNETBOOTIN_DETECTED=1
+		break
+	fi
+done
+
+# If we found any, warn the user
+if [ $UNETBOOTIN_DETECTED = 1 ]; then
+	db_input critical cdrom-detect/unetbootin_detected || [ $? -eq 30 ]
+	db_go
+fi
+
 # Get all the pool directories into the dentry cache, to cut down on seek
 # times.
 poolcount="$(set -- /cdrom/pool/*/*; echo $#)"
diff --git a/debian/cdrom-detect.templates b/debian/cdrom-detect.templates
index 3db18bc..d597ff8 100644
--- a/debian/cdrom-detect.templates
+++ b/debian/cdrom-detect.templates
@@ -94,6 +94,19 @@ _Description: CD-ROM detected
  The CD-ROM autodetection was successful. A CD-ROM drive has been found and it
  currently contains the CD ${cdname}. The installation will now continue.
 
+Template: cdrom-detect/unetbootin_detected
+Type: note
+# :sl2:
+_Description: UNetbootin media detected
+ It appears that your installation medium was generated using
+ UNetbootin. UNetbootin is regularly linked with difficult or
+ unreproducible problem reports from Debian Installer users; if you
+ have problems using this installation medium, please try your
+ installation again without using UNetbootin before reporting issues.
+ .
+ The installation guide contains more information on how to create a
+ USB installation medium directly without UNetbootin.
+
 Template: cdrom-detect/wrong-cd
 Type: error
 # :sl2:


-- 
Steve McIntyre, Cambridge, UK.                                steve@einval.com
We don't need no education.
We don't need no thought control.


Reply to: